import QtQuick 2.4
import QtQuick.Window 2.2
import QtQuick.Controls 1.4
import QtQuick.Layouts 1.3

Window {
	visible: true
	title: "URL Dispatcher GUI"
	width: 360
	height: 100

	ColumnLayout {
		anchors.fill: parent

		TextField {
			anchors.left: parent.left
			anchors.right: parent.right
			id: textbox
			placeholderText: "URL (e.g. 'http://ubuntu.com')"
		}

		Button {
			anchors.left: parent.left
			anchors.right: parent.right
			text: "Send URL"
			onClicked: {
				console.log("Sending URL: " + textbox.text)
				Qt.openUrlExternally(textbox.text)
			}
		}
	}
}
